Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GLXConfig Class Reference

Simple CLI config. More...

`#include <OgreGLXConfig.h>`

Inheritance diagram for Ogre::GLXConfig:

[legend]
List of all members.

## Public Methods

| GLXConfig ()
bool | display (void)
| Displays a message about reading the config and then attempts to read it from a config file.

## Protected Attributes

RenderSystem * | mSelectedRenderSystem

## Detailed Description

Simple CLI config.

Definition at line 37 of file OgreGLXConfig.h.

## Constructor & Destructor Documentation

Ogre::GLXConfig::GLXConfig | ( |  | ) |

| Definition at line 39 of file OgreGLXConfig.h.

## Member Function Documentation

bool Ogre::GLXConfig::display | ( | void |  | ) | `[virtual]`

| Displays a message about reading the config and then attempts to read it from a config file. Implements Ogre::ConfigDialog. Definition at line 485 of file OgreGLXConfig.cpp. References Ogre::GLXConfigurator::accept, Ogre::GLXConfigurator::CreateWindow(), Except, Ogre::GLXConfigurator::Main(), Ogre::GLXConfigurator::mRenderer, and Ogre::GLXConfigurator::SetRenderSystem().

## Member Data Documentation

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem`[protected, inherited]`

| Definition at line 63 of file OgreConfigDialog.h. Referenced by Ogre::Win32ConfigDialog::DlgProc(), and Ogre::Win32ConfigDialog::Win32ConfigDialog().

The documentation for this class was generated from the following files:

- OgreGLXConfig.h
- OgreGLXConfig.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:14 2004